OBS User unknown 2008-11-07 23:46:45 +00:00 committed by Git OBS Bridge
parent 0fdd2a717b
commit 36eaafc2a9
8 changed files with 85 additions and 35 deletions

3
clamav-0.94.1.tar.bz2 Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:5acf70e9285e8061084a581f172085bdaf775afd22b7529b85a5645ba06528d2
size 21680993

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:ac4bc80900ec6fe355a852a3abee8f40fc1b2ed8c14c0b75b71246f495291f05
size 20346478

15
clamav-milter.patch Normal file
View File

@ -0,0 +1,15 @@
--- clamav-milter/clamav-milter.c
+++ clamav-milter/clamav-milter.c
@@ -2069,12 +2069,7 @@
logg(_("!Can't save PID in file %s\n"), pidfile);
return EX_CONFIG;
}
-#ifdef C_LINUX
- /* Ensure that all threads are kill()ed */
- fprintf(fd, "-%d\n", (int)getpgrp());
-#else
fprintf(fd, "%d\n", (int)getpid());
-#endif
fclose(fd);
umask(old_umask);
} else if(tmpdir) {

View File

@ -38,20 +38,20 @@
# Check for missing binaries (stale symlinks should not happen)
# Note: Special treatment of stop for LSB conformance
CLAMAV_MILTER_BIN=/usr/sbin/clamav-milter
BIN=/usr/sbin/clamav-milter
PIDFILE=/var/lib/clamav/clamav-milter.pid
test -x $CLAMAV_MILTER_BIN || { echo "$CLAMAV_MILTER_BIN not installed";
test -x $BIN || { echo "$BIN not installed";
if [ "$1" = "stop" ]; then exit 0;
else exit 5; fi; }
# Check for existence of needed config file and read it
CLAMAV_MILTER_CONFIG=/etc/sysconfig/clamav-milter
test -r $CLAMAV_MILTER_CONFIG || { echo "$CLAMAV_MILTER_CONFIG not existing";
CONFIG=/etc/sysconfig/clamav-milter
test -r $CONFIG || { echo "$CONFIG not existing";
if [ "$1" = "stop" ]; then exit 0;
else exit 6; fi; }
# Read config
. $CLAMAV_MILTER_CONFIG
. $CONFIG
# Source LSB init functions
. /etc/rc.status
@ -80,7 +80,8 @@ case "$1" in
echo -n "Starting clamav-milter "
## Start daemon with startproc(8). If this fails
## the return value is set appropriately by startproc.
/sbin/startproc -q $CLAMAV_MILTER_BIN $CLAMAV_MILTER_OPTIONS $CLAMAV_MILTER_SOCKET
/sbin/startproc -p $PIDFILE -q \
$BIN -i $PIDFILE $CLAMAV_MILTER_OPTIONS $CLAMAV_MILTER_SOCKET
# Remember status and be verbose
rc_status -v
@ -90,7 +91,7 @@ case "$1" in
## Stop daemon with killproc(8) and if this fails
## killproc sets the return value according to LSB.
/sbin/killproc -TERM -G $CLAMAV_MILTER_BIN
/sbin/killproc -TERM -p $PIDFILE -G $BIN
# Remember status and be verbose
rc_status -v
@ -149,7 +150,7 @@ case "$1" in
# 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
# NOTE: checkproc returns LSB compliant status values.
/sbin/checkproc $CLAMAV_MILTER_BIN
/sbin/checkproc -p $PIDFILE $BIN
# NOTE: rc_status knows that we called this init script with
# "status" option and adapts its messages accordingly.
rc_status -v

View File

@ -1,18 +0,0 @@
--- unit_tests/check_clamd.sh
+++ unit_tests/check_clamd.sh
@@ -24,6 +24,7 @@
shift
rm -f clamdscan.log
../clamd/clamd -c $conf_file || { echo "Failed to start clamd!" >&2; die 1;}
+ sleep 2
../clamdscan/clamdscan --version --config-file $conf_file 2>&1|grep "^ClamAV" >/dev/null || { echo "clamdscan can't get version of clamd!" >&2; die 2;}
../clamdscan/clamdscan --quiet --config-file $conf_file $* --log=clamdscan.log
if test $? = 2; then
@@ -38,6 +39,7 @@
shift
rm -f clamdscan.log
../clamd/clamd -c $conf_file || { echo "Failed to start clamd!" >&2; die 1;}
+ sleep 2
../clamdscan/clamdscan --quiet --fdpass --config-file $conf_file - <$1 --log=clamdscan.log
if test $? = 2; then
echo "Failed to run clamdscan!" >&2;

15
clamav-valgrind.patch Normal file
View File

@ -0,0 +1,15 @@
--- unit_tests/valgrind.supp
+++ unit_tests/valgrind.supp
@@ -246,6 +246,12 @@
fun: _setjmp
fun: clone
}
+{
+ glibc-iconv_open
+ Memcheck:Addr4
+ obj:/lib/ld-2.8.90.so
+}
+
#{
# helgrind-glibc27-dbg18
# Helgrind:Race

View File

@ -1,3 +1,22 @@
-------------------------------------------------------------------
Fri Nov 7 16:12:37 CET 2008 - max@suse.de
- New bugfix release: 0.94.1:
* daily.ign was overwriting local.ign
* vba_extract.c: get_unicode_name off-by-one
* Don't execute special events twice in interactive mode
* Fix leak on rare error path in clamd/scanner.c.
* Fix URL parsing in phishing checks.
* Improve the javascript scanner.
* Fixes to bzip2 uncompression.
* Properly close descriptors before forking in clamav-milter.
* enable ScanPDF by default
* Testsuite improvements
* Many more minor bug fixes.
- Fix pid file format of clamav-milter.
- Improve clamav-milter configuration and init script (bnc#347684).
- Suppressing valgrind error on iconv_open.
-------------------------------------------------------------------
Mon Sep 29 13:58:15 CEST 2008 - max@suse.de

View File

@ -1,5 +1,5 @@
#
# spec file for package clamav (Version 0.94)
# spec file for package clamav (Version 0.94.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
@ -35,8 +35,8 @@ BuildRequires: valgrind
%define clamav_check --disable-check
%endif
Summary: Antivirus Toolkit
Version: 0.94
Release: 8
Version: 0.94.1
Release: 1
License: GPL v2 or later
Group: Productivity/Security
Url: http://www.clamav.net
@ -53,7 +53,8 @@ Source4: clamav-rpmlintrc
Source5: clamav-rcmilter
Source6: clamav-milter-sysconfig
Patch1: clamav-conf.patch
Patch2: clamav-test.patch
Patch2: clamav-milter.patch
Patch3: clamav-valgrind.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%description
@ -93,6 +94,7 @@ Authors:
%setup -q
%patch1
%patch2
%patch3
%build
%if 0%{?suse_version} >= 1010
@ -122,7 +124,7 @@ make %{?jobs:-j%jobs}
%check
%endif
make check
VALGRIND_GENSUP=1 make check
%install
%makeinstall
@ -274,6 +276,22 @@ for f in main daily; do
done
%changelog
* Fri Nov 07 2008 max@suse.de
- New bugfix release: 0.94.1:
* daily.ign was overwriting local.ign
* vba_extract.c: get_unicode_name off-by-one
* Don't execute special events twice in interactive mode
* Fix leak on rare error path in clamd/scanner.c.
* Fix URL parsing in phishing checks.
* Improve the javascript scanner.
* Fixes to bzip2 uncompression.
* Properly close descriptors before forking in clamav-milter.
* enable ScanPDF by default
* Testsuite improvements
* Many more minor bug fixes.
- Fix pid file format of clamav-milter.
- Improve clamav-milter configuration and init script (bnc#347684).
- Suppressing valgrind error on iconv_open.
* Mon Sep 29 2008 max@suse.de
- Limit valgrind to i586 and x86_64.
* Wed Sep 03 2008 max@suse.de
@ -359,7 +377,7 @@ done
- Stability and bugfix update: 0.91.1 (#292297)
- Run ldconfig on (un)installation.
- Make %%check conditional to fix building on SLES8.
* Sun Jul 15 2007 lrupp@suse.de
* Sat Jul 14 2007 lrupp@suse.de
- add zlib-devel to build requires
- suppress some false positives from rpmlint
- added %%check section and remove unneeded INSTALL file from %%doc